import QtQuick 1.1

import qb.components 1.0

Screen {
	id: root

	screenTitleIconUrl: "drawables/DomoSystrayIcon2.png"
	//Edit these settings:
	property string hostName: "192.168.1.8"
	property string portNum: "8080"
	//Stop editing here!
	screenTitle: qsTr("Domoticz")

	function simpleSynchronous(request) {
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.open("GET", request, true);
		xmlhttp.timeout = 1500;
		xmlhttp.send();
		xmlhttp.onreadystatechange=function() {
			if (xmlhttp.readyState == 4) {
				if (xmlhttp.status == 200) {
					pageThrobber.visible = false;
					if (typeof(functie) !== 'undefined') {
						functie(parameter);
					}
				}
			}
		}
	}

	IconButton {
		id: woonkamerButton
		anchors {
			top: parent.top
			topMargin: 40
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/15-Light-Bulb-icon.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+"/json.htm?type=command&param=switchlight&idx=122&switchcmd=Toggle");
		}
	}

	Text {
		id: woonkamertitle
		anchors {
			left: woonkamerButton.right
			verticalCenter: woonkamerButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Woonkamer")
	}
	IconButton {
		id: overloopButton
		anchors {
			top: woonkamerButton.bottom
			topMargin: 10
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/15-Light-Bulb-icon.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+"/json.htm?type=command&param=switchlight&idx=119&switchcmd=Toggle");
		}
	}

	Text {
		id: overlooptitle
		anchors {
			left: overloopButton.right
			verticalCenter: overloopButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Overloop")
	}
	IconButton {
		id: keukenButton
		anchors {
			top: overloopButton.bottom
			topMargin: 10
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/15-Light-Bulb-icon.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+"/json.htm?type=command&param=switchlight&idx=143&switchcmd=Toggle");
		}
	}

	Text {
		id: keukentitle
		anchors {
			left: keukenButton.right
			verticalCenter: keukenButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Keuken")
	}
	IconButton {
		id: homecinemaButton
		anchors {
			top: keukenButton.bottom
			topMargin: 10
			left: parent.left
			leftMargin: 50
		}
		width: 75
		height: 75	
		
		iconSource: "drawables/tv-xxl.png"
		onClicked: {
			simpleSynchronous("http://"+hostName+":"+portNum+"/json.htm?type=command&param=switchlight&idx=193&switchcmd=Toggle");
		}
	}

	Text {
		id: homecinematitle
		anchors {
			left: homecinemaButton.right
			verticalCenter: homecinemaButton.verticalCenter
			leftMargin: 10
		}
		font {
			family: qfont.semiBold.name
			pixelSize: 20
		}
		color: colors.customerServiceTitle
		text: qsTr("Home Cinema")
	}
}
